%define upstream_name    Tree-AVL
%define upstream_version 1.077

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    An AVL (balanced binary) tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
AVL Trees are balanced binary trees, first introduced in "An Algorithm for
the Organization of Information" by Adelson-Velskii and Landis in 1962.

Balance is kept in an AVL tree during insertion and deletion by maintaining
a 'balance' factor in each node.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.77.0-7.mga9
+ Revision: 1806541
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.77.0-6.mga8
+ Revision: 1497947
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.77.0-5.mga7
+ Revision: 1272395
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.77.0-4.mga6
+ Revision: 1035413
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.77.0-3.mga6
+ Revision: 968913
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 shlomif <shlomif> 1.77.0-2.mga6
+ Revision: 857639
- .spec fixes thanks to sander85 on IRC

* Sat Jul 25 2015 shlomif <shlomif> 1.77.0-1.mga6
+ Revision: 857405
- Importing Tree-AVL-1.077


* Sat Jul 25 2015 cpan2dist 1.077-1mga
- initial mageia release, generated with cpan2dist
